#!/bin/sh
#
# @(#)$Id: acsetup.sh,v 1.10 2017/03/21 07:51:35 jleffler Exp $
#
# Steps required to AutoConfigure SQLCMD
# Assumes MAKE is cognizant of RCS files.

LIBJL=$HOME/lib/JL/RCS
: "${CO:=co}"

CONFIG_FILES1="configure.ac Makefile.in sqlcmd.ins.in selmultiblob.mk.in"
CONFIG_FILES2="actimer.m4 acdevstd.m4 acinformix.m4"
CONFIG_FILES3="install-sh acsetup.sh"

if [ ! -s actimer.m4 ]
then
    ${CO} ${LIBJL}/actimer.m4,v
fi

CONFIG_FILES="$CONFIG_FILES1 $CONFIG_FILES2 $CONFIG_FILES3"
${MAKE:-make} -s -f /dev/null $CONFIG_FILES || exit 1

rm -f aclocal.m4
aclocal -I .
autoheader
autoconf
# Clean up unnecessary debris
rm -rf aclocal.m4 autom4te.cache
