/*
@(#)File:           $RCSfile: mkpath.h,v $
@(#)Version:        $Revision: 1.2 $
@(#)Last changed:   $Date: 2017/07/08 03:35:58 $
@(#)Purpose:        Create missing directories in given path
@(#)Author:         J Leffler
@(#)Copyright:      (C) JLSS 2017
@(#)Product:        SQLCMD Version 91.02 (2018-10-28)
*/

/*TABSTOP=4*/

#ifndef JLSS_ID_MKPATH_H
#define JLSS_ID_MKPATH_H

#ifdef __cplusplus
extern "C" {
#endif

#ifdef MAIN_PROGRAM
#ifndef lint
/* Prevent over-aggressive optimizers from eliminating ID string */
extern const char jlss_id_mkpath_h[];
const char jlss_id_mkpath_h[] = "@(#)$Id: mkpath.h,v 1.2 2017/07/08 03:35:58 jleffler Exp $";
#endif /* lint */
#endif /* MAIN_PROGRAM */

#include <sys/types.h>      /* mode_t */

/* Create all directories in path */
extern int mkpath(const char *path, mode_t mode);

#ifdef __cplusplus
}
#endif

#endif /* JLSS_ID_MKPATH_H */
