/*
@(#)File:           $RCSfile: output.h,v $
@(#)Version:        $Revision: 2018.1 $
@(#)Last changed:   $Date: 2018/10/29 00:53:50 $
@(#)Purpose:        Printing routines for SQLCMD
@(#)Author:         J Leffler
@(#)Copyright:      (C) JLSS 1992-2018
@(#)Product:        SQLCMD Version 91.02 (2018-10-28)
*/

#ifndef OUTPUT_H
#define OUTPUT_H

#ifdef MAIN_PROGRAM
#ifndef lint
/* Prevent over-aggressive optimizers from eliminating ID string */
extern const char jlss_id_output_h[];
const char jlss_id_output_h[] = "@(#)$Id: output.h,v 2018.1 2018/10/29 00:53:50 jleffler Exp $";
#endif /* lint */
#endif  /* MAIN_PROGRAM */

#include "esqlc.h"

extern int  print_header(const Sqlda *desc);
extern void print_trailer(void);
extern int  print_record(const Sqlda *desc);

#endif  /* OUTPUT_H */
